We're always happy to receive Pull Requests from the Wraith community.

Guidelines:

* Make sure your PR is documented (What does it do? Why is it needed?)
* New features and bug fixes should have tests written alongside them
* Appreciate that contributors maintain Wraith in their spare time, so a response may take several weeks

A PR is more likely to be merged if it fixes one of [Wraith's open issues](https://github.com/BBC-News/wraith/issues).

How to contribute:

* Fork a branch based off BBC-News/wraith:master and do all of your changes within it.
* Make commits of logical units and describe them properly.
* Check for unnecessary whitespace with git diff --check before committing.
* If possible, submit tests to your patch / new feature so it can be tested easily.
* Assure nothing is broken by running all the tests (`bundle exec rspec`).
* Please ensure that it complies with coding standards.
* When writing the title of your Pull Request, if you have to pause to add an 'and' anywhere in the title - it should be two pull requests.

**Please raise any issues with this project as a GitHub issue.**
